﻿//fragment program

uniform sampler2D Tex0;
uniform float contrast;
uniform float brightness;
uniform float multiple;
                                         
void main()
{
	vec4 color = texture2D(Tex0,gl_TexCoord[0].st); 
	float p = 0.3 *color.g + 0.59*color.r + 0.11*color.b;
	p = p * brightness;
	vec4 color2 = vec4(p,p,p,1.0);
	color *= color2;
	color *= vec4(multiple,multiple,multiple,1.0);
	color = mix( vec4(1.0,1.0,1.0,1.0),color,contrast);                                            
	gl_FragColor =  vec4(color.r , color.g, color.b, 1.0);
}