﻿//fragment program

uniform sampler2D Tex0;
uniform float amount;
uniform float angle;
                        
void main() 
{
	vec2 vUv = gl_TexCoord[0].st;
	vec2 offset = amount * vec2( cos(angle), sin(angle));
	vec4 cr = texture2D(Tex0, vUv + offset);
	vec4 cga = texture2D(Tex0, vUv);
	vec4 cb = texture2D(Tex0, vUv - offset);
	gl_FragColor = vec4(cr.r, cga.g, cb.b, cga.a);                                        
}